Subject: Re: [PATCH 3/9] iommu/generic_pt: implement iova_to_phys_length

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 1 Jun 2026 11:32:50 -0300

On Mon, Jun 01, 2026 at 10:24:14PM +0800, [email-masked] wrote:
 
>    Therefore, currently only the PTE mapping size of the iova is returned.
>    The current commit has a large number of changes; this issue will be
>    fixed  in a subsequent series patch.

No, do not introduce the wrong API to start. The iommupt version
should be easy enough to do this.

Jason